# MassWalletETH

## Disclaimer
**This program is intended for educational and informational purposes only. The author is not responsible for any illegal use of this program. Use it responsibly.**

## Description
MassWalletETH is a powerful tool for generating multiple Ethereum wallets and checking their balances. The program consists of two main Python scripts:
1. `wallet.py`: Generates multiple Ethereum wallets and saves their details into files.
2. `check.py`: Checks the balance of Ethereum wallets generated by `wallet.py`.

## Prerequisites
Before running the scripts, you need to have Python installed on your machine. You will also need to install the required Python packages.

## Installation
1. Clone the repository or download the script files.
2. Install the required Python packages using pip:
    ```sh
    pip install eth-account web3
    ```

## Usage

### Generating Ethereum Wallets
1. Open `wallet.py` and adjust the number of wallets to generate by changing the `num_wallets` variable.
2. Run the `wallet.py` script:
    ```sh
    python wallet.py
    ```
3. The script will generate the specified number of wallets and save the addresses to `eth_address.txt` and the private keys and addresses to `privatekeys_and_address.txt`.

### Checking Ethereum Wallet Balances
1. Open `check.py` and replace `'YOUR_INFURA_PROJECT_ID'` with your actual Infura Project ID.
2. Run the `check.py` script:
    ```sh
    python check.py
    ```
3. The script will read the addresses from `eth_address.txt`, check their balances, and print the balances to the console.

## Files
- `wallet.py`: Script to generate Ethereum wallets.
- `check.py`: Script to check the balance of Ethereum wallets.
- `eth_address.txt`: File containing the addresses of the generated wallets.
- `privatekeys_and_address.txt`: File containing the private keys and addresses of the generated wallets.

## Notes
- Keep your `privatekeys_and_address.txt` file secure. It contains sensitive information that can be used to access your Ethereum wallets.
- Make sure to replace `'YOUR_INFURA_PROJECT_ID'` in `check.py` with your actual Infura Project ID to connect to the Ethereum network.

## License
This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Author
This project was created for educational purposes. Use it responsibly and ethically.
